FIGURES_SVG=$(wildcard raw_img/*.svg)
FIGURES_PDF=$(subst raw_img/,pdf_img/,$(FIGURES_SVG:.svg=.pdf_tex))

DOT_DOT=$(wildcard dot/*.dot)
DOT_PNG=$(DOT_DOT:.dot=.png)

UML_PUML=$(wildcard puml/*.puml)
UML_PNG=$(UML_PUML:.puml=.png)

all : rapport.pdf
	echo "done"

rapport.pdf : rapport.tex rapport.bib $(FIGURES_PDF) $(UML_PNG) png_img/gain_action.png $(DOT_PNG)
	lualatex -shell-escape rapport.tex
	bibtex rapport
	makeglossaries rapport 
	lualatex -shell-escape rapport.tex
	lualatex -shell-escape rapport.tex

png_img/gain_action.png :
	python3 png_img/gen_fig_g.py

clean : clean-latex
	rm -f -r pdf_img/
	rm -f -r puml/*.svg
	rm -f -r puml/*.png
	rm -f -r dot/*.png
	rm -f rapport.pdf

clean-latex :
	rm -f rapport.aux
	rm -f rapport.bbl
	rm -f rapport.blg
	rm -f rapport.out
	rm -f rapport.log
	rm -f rapport.toc
	rm -f rapport.lof
	rm -f rapport.lot
	rm -f rapport.lol
	rm -f rapport.ist
	rm -f rapport.glg
	rm -f rapport.gls
	rm -f rapport.glo
	rm -f texput.log

pdf_img/%.pdf : raw_img/%.svg pdf_img/%.pdf_tex
	inkscape -D -z --file=$< --export-pdf=$@ --export-latex

pdf_img/%.pdf_tex : raw_img/%.svg
	inkscape -D -z --file=$< --export-pdf=$@ --export-latex

puml/%.png : puml/%.puml
	plantuml $<

dot/%.png : dot/%.dot
	dot -Tpng -o $@ $<